<div class="row">
    <div class="col-lg-12" id="idHotspotPanel">
        <div v-show="waninfo.code != '-17' &&  waninfo.code != '-3'" id="inter-cable">
            <div class="panel panel-default" id="idWanInfoInt">
                <div class="panel-heading">
                    <h4>
                        <span class="circle" v-bind:class="{active:waninfo.success && waninfo.ip}"></span>
                        <span>{{t($lang.internet.cable)}}</span>
                    </h4>
                </div>
                <!-- ip 冲突 -->
                <div class="alert alert-info idScanWifiAlertMsg" v-show="waninfo.gateway && router.ip_addr == waninfo.gateway">
                    <div class="text-left alert-red" style="color: chocolate;">
                        <span class="fa-exclamation-circle fa"></span>
                        {{t($lang.internet.subnetConflict)}}
                        <b>
                            <a @click="$router.push('lanip')">{{t($lang.internet.set)}}</a>
                        </b>
                        <span style="text-transform: uppercase">{{t($lang.internet.lanip)}}</span>
                    </div>
                </div>

                <div :class="{'panel-bg-cable': show_wan && waninfo.proto}">
                    <!-- 背景图 -->
                    <!-- 没有waninfo.proto和定义的show_wan -->
                    <div class="panel-body panel-status internetBox" v-if="show_wan && waninfo.proto">
                        <div class="list-group">
                            <a class="list-group-item clearfix">
                                <span class="text-left" :class="{'internet-modify':btnName== 'Apply'}">{{t($lang.internet.protocol)}}</span>
                                <!-- 当前联网类型 -->
                                <span class="pull-right" id="WanProto" v-show="btnName== 'Modify'">{{wanType}}</span>
                                <!-- 联网列表 -->
                                <div class="list-input-field input-append" v-show="btnName== 'Apply'">
                                    <gl-select :option="dataList" v-model="wanType" @change="selectItem"></gl-select>
                                </div>
                            </a>
                            <!-- waninfo状态列表显示 -->
                            <div v-show="waninfo.success&&waninfo.ip!=null&&waninfo.ip.length>6&&changeAp">
                                <a class="list-group-item clearfix">
                                    <span class="text-left"> {{t($lang.internet.ipAddress)}}</span>
                                    <span class="pull-right" id="WanIp" v-text="waninfo.success?waninfo.ip:'-'"></span>
                                </a>
                                <a class="list-group-item clearfix">
                                    <span class="text-left"> {{t($lang.internet.netmask)}}</span>
                                    <span class="pull-right" id="WanMask" v-text="waninfo.success?waninfo.mask:'-'"></span>
                                </a>
                                <a class="list-group-item clearfix">
                                    <span class="text-left"> {{t($lang.internet.gateway)}}</span>
                                    <span class="pull-right" id="WanGateway" v-text="waninfo.success?waninfo.gateway:'-'"></span>
                                </a>
                                <a class="list-group-item clearfix">
                                    <span class="text-left">{{t($lang.internet.dnsServer)}}</span>
                                    <span class="pull-right " id="WanDns1" v-text="waninfo.dns ? (waninfo.dns.length > 0 ? waninfo.dns[0] : '-') : '-'"></span>
                                    <br />
                                    <span class="pull-right " id="WanDns2" v-text="waninfo.dns ? (waninfo.dns.length > 0 ? waninfo.dns[1] : '') : ''"></span>
                                </a>
                                <!-- <span class="list-group-item clearfix" v-show="waninfo.proto == 'pppoe'">
                                <div class="text-left pull-left">
                                    <gl-label :labelValue="$lang.internet.userName"></gl-label>
                                </div>
                                <div class="list-input-field input-append input-group">
                                    <gl-input type="text" :placeholder="$lang.holdPlace.required" v-model="waninfo.username"></gl-input>
                                </div>
                                <div class="clearfix"></div>
                            </span>
                            <span class="list-group-item clearfix" v-show="waninfo.proto == 'pppoe'">
                                <div class="text-left pull-left">
                                    <gl-label :labelValue="$lang.internet.psw"></gl-label>
                                </div>
                                <div class="list-input-field input-append">
                                    <div class="password-check">
                                        <div class="passtrengthMeter">
                                            <gl-input v-model="waninfo.password" type="password" :placeholder="$lang.holdPlace.required" inputShow></gl-input>
                                        </div>
                                    </div>
                                </div>
                                <div class="clearfix"></div>
                            </span> -->
                            </div>

                            <!-- static设置 -->
                            <div v-show="wanType=='Static'&&!changeAp" class="internetWeb">
                                <!-- IP Address -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <gl-label :labelValue="$lang.internet.ipAddress"></gl-label>
                                    </div>
                                    <div class="list-input-field input-append input-group">
                                        <gl-input type="text" :placeholder="$lang.holdPlace.required" v-model="serverip"
                                            :disabled="btnStatus" @focusValue="blurip" @blurValue="blurip"></gl-input>
                                    </div>
                                    <div style="color: red;margin: 5px 0 0px 0px;" class="text-center visible-xs visible-sm visible-sm"
                                        v-if="!checkip">{{t($lang.internet.invalidip)}}</div>
                                    <span class="pull-right visible-lg visible-md" style="padding: 10px;color: red"
                                        v-if="!checkip">{{t($lang.internet.invalidip)}}</span>

                                </span>

                                <!-- netmask -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <gl-label :labelValue="$lang.internet.netmask"></gl-label>
                                    </div>
                                    <div class="list-input-field input-append input-group">
                                        <gl-input type="text" :placeholder="$lang.holdPlace.required" v-model="mask"
                                            :disabled="btnStatus" @focusValue="blurmask" @blurValue="blurmask"></gl-input>
                                    </div>
                                    <div style="color: red;margin: 5px 0 0px 0px;" class="text-center visible-xs visible-sm"
                                        v-if="!checkmask">{{t($lang.internet.invalidmask)}}</div>
                                    <span class="pull-right visible-lg visible-md" style="padding: 10px;color: red"
                                        v-if="!checkmask">{{t($lang.internet.invalidmask)}}</span>
                                </span>

                                <!-- gateway -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <gl-label :labelValue="$lang.internet.gateway"></gl-label>
                                    </div>
                                    <div class="list-input-field input-append input-group">
                                        <gl-input type="text" :placeholder="$lang.holdPlace.required" v-model="gateway"
                                            :disabled="btnStatus" @focusValue="blurgateway" @blurValue="blurgateway"></gl-input>
                                    </div>
                                    <div style="color: red;margin: 5px 0 0px 0px;" class="text-center visible-xs visible-sm"
                                        v-if="!checkgateway">{{t($lang.internet.invalidgateway)}}</div>
                                    <span class="pull-right visible-lg visible-md" style="padding: 10px;color: red"
                                        v-if="!checkgateway">{{t($lang.internet.invalidgateway)}}</span>
                                </span>

                                <!-- DNS1 Server -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <gl-label :labelValue="t($lang.internet.dnsServer) + '1'"></gl-label>
                                    </div>
                                    <div class="list-input-field input-append input-group">
                                        <gl-input type="text" v-model="dns1" :disabled="btnStatus" :placeholder="$lang.holdPlace.required"
                                            @focusValue="blurdns1" @blurValue="blurdns1"></gl-input>
                                    </div>
                                    <div style="color: red;margin: 5px 0 0px 0px;" class="text-center visible-xs visible-sm"
                                        v-if="!checkdns1">{{t($lang.internet.invaliddns)}}</div>
                                    <span class="pull-right visible-lg visible-md" style="padding: 10px;color: red"
                                        v-if="!checkdns1">{{t($lang.internet.invaliddns)}}</span>
                                </span>
                                <!-- DNS2 Server -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <gl-label :labelValue="t($lang.internet.dnsServer) + '2'"></gl-label>
                                    </div>
                                    <div class="list-input-field input-append input-group">
                                        <gl-input type="text" v-model="dns2" :disabled="btnStatus" @focusValue="blurdns2"
                                            @blurValue="blurdns2"></gl-input>
                                    </div>
                                    <div style="color: red;margin: 5px 0 0px 0px;" class="text-center visible-xs visible-sm"
                                        v-if="!checkdns2">{{t($lang.internet.invaliddns)}}</div>
                                    <span class="pull-right visible-lg visible-md" style="padding: 10px;color: red"
                                        v-if="!checkdns2">{{t($lang.internet.invaliddns)}}</span>
                                </span>
                            </div>

                            <!-- pppoe 修改-->
                            <div v-show="wanType=='PPPoE'&&!changeAp" class="internetWeb">
                                <!-- User Name -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <gl-label :labelValue="$lang.internet.userName"></gl-label>
                                    </div>
                                    <div class="list-input-field input-append input-group">
                                        <gl-input type="text" :placeholder="$lang.holdPlace.required" v-model="userName"
                                            :disabled="btnStatus"></gl-input>
                                    </div>
                                </span>
                                <!-- Password -->
                                <span class="list-group-item clearfix">
                                    <div class="text-left pull-left">
                                        <span>
                                            <gl-label :labelValue="$lang.internet.psw"></gl-label>
                                        </span>
                                    </div>
                                    <div class="list-input-field input-append">
                                        <div class="password-check">
                                            <div class="passtrengthMeter">
                                                <gl-input v-model="password" type="password" :placeholder="$lang.holdPlace.required"
                                                    inputShow :disabled="btnStatus"></gl-input>
                                            </div>
                                        </div>
                                    </div>
                                </span>
                            </div>
                        </div>
                        <div style="text-align: center; margin: 10px;position: relative;">
                            <gl-btn type="modify" class="btn" v-show="btnName== $lang.button.apply && !btnStatus && waninfo.ip"
                                @click="cancel">{{t($lang.button.cancel)}}</gl-btn>
                            <gl-btn :type="btnName=='Modify' ? 'modify' : 'purple'" class="btn" :disabled="btnStatus"
                                @click="clickChange">
                                {{t(btnName)}}
                                    <span class="fa fa-circle-o-notch glyphicon-spin-animate" v-show="btnStatus"></span>
                                </gl-btn>
                                <!-- pc -->
                                <a class="check_wan2lan hidden-xs" v-show="!changeAp && router.model !== 'mt300n-v3'"
                                    @click="check_wan2lan('wan')">{{t($lang.internet.use_lan)}}</a>

                            </div>
                        </div>
                        <!-- 没有读取到任何一种waninfo proto -->
                        <div class="internet-text clearfix panel-status panel-body" v-else>
                            <img src="/src/static/images/Cable.jpg" class="internet-img">
                            <div class="uninter">
                                <span v-if="router.port == 'lan' && router.model !== 'mt300n-v3'">{{t($lang.internet.check_lan)}}.</span>
                                <span v-else>
                                    <!-- {{t($lang.internet.wan_cable)}} {{t($lang.internet.isUnpluged)}}, {{t($lang.internet.insertNetwork)}}.. -->
                                    {{t($lang.internet.no_wan)}}
                                </span>
                            </div>
                        </div>
                    </div>
                    <!-- moblie -->
                    <div class="visible-xs panel-heading" v-if="btnName == 'Apply' && waninfo.proto && waninfo.gateway && router.model !== 'mt300n-v3'">
                        <a @click="check_wan2lan('wan')">{{t($lang.internet.use_lan)}}</a>
                    </div>
                    <!-- 页面跳转 -->
                    <div class="panel-heading" v-show="!show_wan && router.model !== 'mt300n-v3'">
                        <a @click="check_wan2lan(router.port)">{{t(wan2lan)}}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>